Bug 1004753 - [abrt] system-config-printer-1.4.2-1.fc19: jobviewer.py:2317:_set_job_status_icon:NameError: global name 'gtk' is not defined
[abrt] system-config-printer-1.4.2-1.fc19: jobviewer.py:2317:_set_job_status_...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:38d5b183a7402bbca3c997c091f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 08:11 EDT by reg9407
Modified: 2013-11-10 02:43 EST (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.3-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 02:38:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.30 KB, text/plain)
2013-09-05 08:11 EDT, reg9407
no flags Details
File: environ (3.44 KB, text/plain)
2013-09-05 08:11 EDT, reg9407
no flags Details

  None (edit)
Description reg9407 2013-09-05 08:11:19 EDT
Version-Release number of selected component:
system-config-printer-1.4.2-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
dso_list:       system-config-printer-libs-1.4.2-1.fc19.noarch
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.10.10-200.fc19.i686.PAE
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
jobviewer.py:2317:_set_job_status_icon:NameError: global name 'gtk' is not defined

Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2317, in _set_job_status_icon
    debugprint ("No %s icon available" % gtk.STOCK_MEDIA_PAUSE)
NameError: global name 'gtk' is not defined

Local variables in innermost frame:
column: <TreeViewColumn object at 0xaa13fa4 (GtkTreeViewColumn at 0xad4ef28)>
self: <JobViewer object at 0xaccb0a4 (jobviewer+JobViewer at 0xa5e24d0)>
s: 4
iter: <GtkTreeIter at 0xae08000>
jobid: 37
cell: <CellRendererPixbuf object at 0xad00eb4 (GtkCellRendererPixbuf at 0xa0b52a8)>
theme: <IconTheme object at 0xad00f04 (GtkIconTheme at 0x8c1fc58)>
jstate: 4
model: <TreeStore object at 0xa21d964 (GtkTreeStore at 0x8b910050)>
data: {'job-name': u'\u0442\u0430\u0431\u0435\u043b\u044c \u043f\u043e \u043f\u0438\u0442\u0430\u043d\u0438\u044e 2-\u0411 ', 'job-printer-uri': u'ipp://localhost.localdomain/printers/Canon-LBP7010C-7018C', 'device-uri': u'usb://Canon/LBP7010C/7018C?serial=0000A2D50MNr', 'attributes-charset': u'utf-8', 'job-k-octets': 0, 'attributes-natural-language': u'ru-ru', 'job-printer-name': u'Canon-LBP7010C-7018C', 'time-at-creation': 1378380380, 'job-hold-until': u'indefinite', 'job-state': 4}
icon: <Pixbuf object at 0x9b1d7ac (GdkPixbuf at 0x9fce838)>
Comment 1 reg9407 2013-09-05 08:11:25 EDT
Created attachment 794250 [details]
File: backtrace
Comment 2 reg9407 2013-09-05 08:11:28 EDT
Created attachment 794251 [details]
File: environ
Comment 4 Fedora Update System 2013-10-22 12:55:21 EDT
system-config-printer-1.4.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.3-1.fc20
Comment 5 Fedora Update System 2013-10-22 12:57:38 EDT
system-config-printer-1.4.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.3-1.fc19
Comment 6 Fedora Update System 2013-10-22 23:30:21 EDT
Package system-config-printer-1.4.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19726/system-config-printer-1.4.3-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-11-06 02:38:50 EST
system-config-printer-1.4.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-11-10 02:43:51 EST
system-config-printer-1.4.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.